# Copyright (C) 2023 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
#
"""add full curation

Revision ID: 5eaf550162d3
Revises: 8aa23551a0fa
Create Date: 2023-11-09 09:51:43.268832

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "5eaf550162d3"
down_revision = "8aa23551a0fa"
branch_labels = None
depends_on = None


old_json = """{
  "product_locator": "{{product_locator}}",{{#data_location}}
  "data_location": "{{data_location}}",{{/data_location}}
  "product_type": "{{product_type}}",{{#target_list}}
  "target_list": ["{{target_list}}"],{{/target_list}}
  "projectMetadata": {
    "telescope": "{{telescope}}",
    "projectCode": "{{projectCode}}"
  }
}
"""

new_json = """{
  "product_locator": "{{product_locator}}",{{#data_location}}
  "data_location": "{{data_location}}",{{/data_location}}
  "product_type": "{{product_type}}",{{#target_list}}
  "target_list": ["{{target_list}}"],{{/target_list}}
  "projectMetadata": {
    "telescope": "{{telescope}}",
    "projectCode": "{{projectCode}}"
  },
  "fileList": {{fileList}}
}
"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{new_json}' WHERE filename='metadata.json' AND workflow_name='curator'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{old_json}' WHERE filename='metadata.json' AND workflow_name='curator'
        """
    )
